
varying vec4 pLookup;
varying vec4 vLookup;


vec4 effect( vec4 color, Image texture, vec2 texture_coords, vec2 screen_coords )
{
	vec4 texcolor = Texel(texture, texture_coords);
	
	vec4 outcolor = vec4(color.rgb*texcolor.rgb, texcolor.a*color.a);
	outcolor.rgb *= outcolor.a;
	
	return outcolor;
}
